NCMatrix(1)

NAME
NCMatrix - A network monitoring screen saver (derived from CMatrix by Chris Allegretta)

SYNOPSIS
ncmatrix [-abBflohnsVx] [-u update] [-C color] [-H threshold] [-I netdev] [-R color] [-T color]

DESCRIPTION
Shows a console mode scrolling 'Matrix' like screen in Linux with optional network packet activity.

  OPTIONS

-a  Asynchronous scroll

-b  Bold characters on

-B  All bold characters (overrides -b)

-f  Force the linux $TERM type to be on

-l  Linux mode (sets "matrix.fnt" font in console)

-o  Use old-style scrolling

-h, -?
    Print usage and exit

-n  No bold characters (overrides -b and -B)

-s  "Screensaver" mode, exits on first keystroke

-x  X window mode, use if your xterm is using mtx.pcf

-V  Print version information and exit

-u delay
    Screen update delay 0 - 9, default 4

-C color
    Use this color for matrix (default green). Valid colors are green, red, blue, white, yellow, cyan, magenta and black.

-I netdev
    ncmatrix will display transmitted and received packets as different colored characters entering the matrix. You must use the -I option to tell ncmatrix what network device to monitor. This device must exist in /proc/net/dev and you must have read access to it. (By default eth0 is used) examples would be:
       -I ppp0
       -I eth0
       -I eth1

-H threshold
    This threshold will tell ncmatrix to wait a number of times before computing the total number of packets that have been transmitted or recieved since the last time it checked netdev. On slow connections, this can cause ncmatrix to intersperse single characters into the matrix. We want a nice stream of chars to represent the network data. Setting the -H number higher *should* minimize the number of sparse characters entering the matrix. Depending on your processor speed and network speed, this can vary greatly. An H value of 1000 on my AMD 1.8Ghz was not noticeable. On a Pentium 266 with no H value (more intensive) the load was around 17%.

-R color
    Use this color for coloring received packets (default blue). Valid colors are green, red, blue, white, yellow, cyan, magenta and black.

-T color
    Use this color for transmitted packets (default red). Valid colors are green, red, blue, white, yellow, cyan, magenta and black.

A sample command line to monitor eth0 would be:
    ncmatrix -s -b -u 10 -I eth0 -T red -R magenta

  KEYSTROKES
The following keystrokes are available during execution (unavailable in -s mode)

a   Toggle asynchronous scroll

b   Random bold characters

B   All bold characters

n   Turn off bold characters

0-9 Adjust update speed

! @ # $ % ^ & )
    Change the color of the matrix to the corresponding color: ! - red, @ - green, # - yellow, $ - blue, % - magenta, ^ - cyan, & - white, ) - black.

q   Quit the program

BUGS
This program is very CPU intensive. Don't be surprised if it eats up over 40% of your CPU at times. TB: I have only seen about 17% on a P266 but still it stands to reason that the packet monitoring will not improve this. There also seems to be something goofy with setting the console mode font.

HOMEPAGE
The CMatrix homepage is currently at http://www.asty.org/cmatrix. The NCMatrix has no homepage as of yet. In fact I don't even know where I'm going to link it from Freshmeat... we will see.

AUTHORS
(CMatrix author) Chris Allegretta (chrisa [amp] asty [dot] org), with a lot of help from many other people. See README file for details. NCMatrix was hacked from Chris's code by T. Bloedorn (vmlinux [amp] charter [dot] net).